Просмотр исходного кода

Build jq from source.

- we need version 1.5 and can't get it from the official repo.
- includes adjusting the PATH so that our tools (like jq) get
  precedence.
John S. Ryan 9 лет назад
Родитель
Сommit
ce94626949
2 измененных файлов: 16 добавлений и 0 удалений
  1. 5
    0
      .travis.yml
  2. 11
    0
      bin/build-jq.sh

+ 5
- 0
.travis.yml Просмотреть файл

@@ -18,9 +18,14 @@ addons:
18 18
   apt:
19 19
     packages:
20 20
       - tree
21
+
21 22
 before_install:
22 23
   - rvm install 2.2.5
23 24
   - rvm use 2.2.5
25
+  - bin/build-jq.sh  # we want jq 1.5 features; not avail through pkg repo.
26
+
27
+before_script:
28
+  - export PATH=$TRAVIS_BUILD_DIR/bin:$PATH  # ensure our tools are prefered over included ones.
24 29
 
25 30
 script:
26 31
   - bin/unit-tests.sh

+ 11
- 0
bin/build-jq.sh Просмотреть файл

@@ -0,0 +1,11 @@
1
+#!/usr/bin/env bash
2
+set -ex
3
+
4
+pushd bin
5
+curl --location https://github.com/stedolan/jq/releases/download/jq-1.5/jq-1.5.tar.gz >jq-1.5.tar.gz
6
+tar xvf jq-1.5.tar.gz
7
+cd jq-1.5
8
+./configure --disable-maintainer-mode && make
9
+mv jq ..
10
+popd
11
+